/*---================== date range picker css =======================--*/

.daterangepicker {
	position: absolute;
	color: inherit;
	width: 278px;
	top: 100px;
	left: 20px;
	padding: 2px 10px 2px 2px;
	box-shadow: none;
	font-family: "Roboto-Regular";
	border-radius: 1px;
}
.daterangepicker:after {
	top: -6px;
	border-right: 6px solid transparent;
	border-bottom: 6px solid #fff;
	border-left: 6px solid transparent;
}
.daterangepicker.opensleft:before {
	right: 9px;
}
.daterangepicker.opensleft:after {
	right: 10px;
}
.daterangepicker.openscenter:before {
	left: 0;
	right: 0;
	width: 0;
	margin-left: auto;
	margin-right: auto;
}
.daterangepicker.openscenter:after {
	left: 0;
	right: 0;
	width: 0;
	margin-left: auto;
	margin-right: auto;
}
.daterangepicker.opensright:before {
	left: 9px;
}
.daterangepicker.opensright:after {
	left: 10px;
}
.daterangepicker.dropup {
	margin-top: -5px;
}
.daterangepicker.dropup:before {
	top: initial;
	bottom: -7px;
	border-bottom: initial;
	border-top: 7px solid #ccc;
}
.daterangepicker.dropup:after {
	top: initial;
	bottom: -6px;
	border-bottom: initial;
	border-top: 6px solid #fff;
}
.daterangepicker.dropdown-menu {
    width: 551px;
    z-index: 3001;
    height: 314px;
    border: 0;
    margin-top: 20px;
    margin-right: -6px;
    top: 104px !important;
}
.daterangepicker.single .ranges, .daterangepicker.single .calendar {
	float: none;
}
.daterangepicker.show-calendar .calendar {
	display: block;
	z-index: 9999;
}
.daterangepicker .calendar {
	display: none;
	max-width: 249px;
	padding-top: 81px;
}
.daterangepicker .calendar.single .calendar-table {
	border: none;
}
.daterangepicker .calendar th, .daterangepicker .calendar td {
	white-space: nowrap;
	text-align: center;
	min-width: 23px;
	background-image: none;
	padding: 3px;
	font-size: 11px;
}
.daterangepicker .calendar-table {
	border: 0px solid #3069b0;
	padding: 0px;
	border-radius: 4px;
	background-color: #fff;
}
.daterangepicker table {
	width: 100%;
	margin: 0;
}
.daterangepicker td, .daterangepicker th {
	text-align: center;
	width: 23px;
	border-radius: 4px;
	border: 1px solid transparent;
	white-space: nowrap;
	cursor: pointer;
}
.daterangepicker td.available:hover, .daterangepicker th.available:hover {
	background-color: #eee;
	border-color: transparent;
	color: inherit;
}
.daterangepicker td.week, .daterangepicker th.week {
	font-size: 12px;
	color: transparent;
}
.daterangepicker td.off, .daterangepicker td.off.in-range, .daterangepicker td.off.start-date, .daterangepicker td.off.end-date {
	background-color: #fff;
	border-color: transparent;
	color: #999;
}
.daterangepicker td.in-range {
	background-color: #e3e3ec;
	border-color: transparent;
	color: #000;
	border-radius: 0;
}
.daterangepicker td.start-date {}
.daterangepicker td.end-date {
	border-radius: 4px;
}
.daterangepicker td.start-date.end-date {
	border-radius: 4px;
}
.daterangepicker td.active, .daterangepicker td.active:hover {
	background-color: #357ebd;
	border-color: transparent;
	color: #fff;
	border-radius: 1px;
}
.daterangepicker th.month {
	width: auto;
	background-color: #fff;
}
.daterangepicker td.disabled, .daterangepicker option.disabled {
	color: #999;
	cursor: not-allowed;
	text-decoration: line-through;
}
.daterangepicker select.monthselect, .daterangepicker select.yearselect {
	font-size: 12px;
	padding: 1px;
	height: auto;
	margin: 0;
	cursor: default;
}
.daterangepicker select.monthselect {
	margin-right: 2%;
	width: 56%;
}
.daterangepicker select.yearselect {
	width: 40%;
}
.daterangepicker select.hourselect, .daterangepicker select.minuteselect, .daterangepicker select.secondselect, .daterangepicker select.ampmselect {
	width: 50px;
	margin-bottom: 0;
}
.daterangepicker .input-mini {
	border: 1px solid #ccc;
	border-radius: 4px;
	color: #555;
	height: 30px;
	line-height: 30px;
	display: block;
	vertical-align: middle;
	margin: 0 0 5px 0;
	padding: 0 6px 0 28px;
	width: 100%;
}
.daterangepicker .input-mini.active {
	border: 1px solid #08c;
	border-radius: 4px;
}
.daterangepicker .daterangepicker_input {
	position: relative;
}
.daterangepicker .daterangepicker_input i {
	position: absolute;
	left: 8px;
	top: 8px;
}
.daterangepicker.rtl .input-mini {
	padding-right: 28px;
	padding-left: 6px;
}
.daterangepicker.rtl .daterangepicker_input i {
	left: auto;
	right: 8px;
}
.daterangepicker .calendar-time {
	text-align: center;
	margin: 5px auto;
	line-height: 30px;
	position: relative;
	padding-left: 28px;
}
.daterangepicker .calendar-time select.disabled {
	color: #ccc;
	cursor: not-allowed;
}
.ranges {
	font-size: 11px;
	float: none;
	margin: 4px;
	text-align: left;
	position: absolute;
	bottom: 10px;
}
.ranges ul {
	list-style: none;
	margin: 0 auto;
	padding: 0;
	width: 100%;
}
.ranges li {
	font-size: 13px;
	background-color: #f5f5f5;
	border: 1px solid #f5f5f5;
	border-radius: 4px;
	color: #08c;
	padding: 3px 12px;
	margin-bottom: 8px;
	cursor: pointer;
}
.ranges li:hover {
	background-color: #08c;
	border: 1px solid #08c;
	color: #fff;
}
.ranges li.active {
	background-color: #08c;
	border: 1px solid #08c;
	color: #fff;
}
/*  Larger Screen Styling */

@media (min-width: 564px) {
	.daterangepicker {
		width: auto;
	}
	.daterangepicker .ranges ul {
		width: 160px;
	}
	.daterangepicker.single .ranges ul {
		width: 100%;
	}
	.daterangepicker.single .calendar.left {
		clear: none;
	}
	.daterangepicker.single.ltr .ranges, .daterangepicker.single.ltr .calendar {
		float: left;
	}
	.daterangepicker.single.rtl .ranges, .daterangepicker.single.rtl .calendar {
		float: right;
	}
	.daterangepicker.ltr {
		text-align: left;
	}
	.daterangepicker.ltr .calendar.left {
		clear: left;
		margin-right: 0;
	}
	.daterangepicker.ltr .calendar.left .calendar-table {
		border-right: none;
		border-top-right-radius: 0;
		border-bottom-right-radius: 0;
	}
	.daterangepicker.ltr .calendar.right {
		margin-left: 0;
	}
	.daterangepicker.ltr .calendar.right .calendar-table {
		border-left: none;
		border-top-left-radius: 0;
		border-bottom-left-radius: 0;
	}
	.daterangepicker.ltr .left .daterangepicker_input {
		padding-right: 12px;
	}
	.daterangepicker.ltr .calendar.left .calendar-table {
		padding-right: 12px;
	}
	.daterangepicker.ltr .ranges, .daterangepicker.ltr .calendar {
		float: left;
	}
	.daterangepicker.rtl {
		direction: rtl;
		text-align: right;
	}
	.daterangepicker.rtl .calendar.left {
		clear: right;
		margin-left: 0;
	}
	.daterangepicker.rtl .calendar.left .calendar-table {
		border-left: none;
		border-top-left-radius: 0;
		border-bottom-left-radius: 0;
	}
	.daterangepicker.rtl .calendar.right {
		margin-right: 0;
	}
	.daterangepicker.rtl .calendar.right .calendar-table {
		border-right: none;
		border-top-right-radius: 0;
		border-bottom-right-radius: 0;
	}
	.daterangepicker.rtl .left .daterangepicker_input {
		padding-left: 12px;
	}
	.daterangepicker.rtl .calendar.left .calendar-table {
		padding-left: 12px;
	}
	.daterangepicker.rtl .ranges, .daterangepicker.rtl .calendar {
		text-align: right;
		float: right;
	}
}
@media (min-width: 730px) {
	.daterangepicker .ranges {
		width: 100%;
		text-align: center;
	}
	.daterangepicker.ltr .ranges {
		float: left;
	}
	.daterangepicker.rtl .ranges {
		float: right;
	}
	.daterangepicker .calendar.left {
		clear: none !important;
	}
}
[data-setcustom-date="true"] .setDateimg {
	display: none !important;
}
[data-setcustom-date="true"] .setDatetxt {
	display: none;
}
.vidu_filter_setCustomperiod input {
	width: 100%;
	text-align: center;
	border: 0 !important;
	height: 34px !important;
	padding: 3px 0 0 0 !important;
	cursor: pointer;
	position: absolute;
	top: 0;
	left: 0;
	background-color: transparent !important;
	color: transparent !important;
}
.daterangepicker_input {
	display: none;
}
.daterangepicker_input:focus {
	border: 0 !important;
}
.fa-chevron-left:before {
	content: "\f054";
}
.range_inputs {
	display: flex;
	justify-content: center;
	margin-left: 143px;
}
.range_inputs button {
	margin-right: 4px;
	padding: 0 23px;
}
.vidu_filter_setCustomperiod input:hover {
	border: 0 !important;
}
.row .vidu_filter_setCustomperiod .customDate_picker_overlay {
	width: 100%;
	height: 100vh;
	background-color: #000;
	position: fixed;
	z-index: 99;
	left: 0;
	top: 0;
	opacity: 0.5;
	display: none;
}
.calendar.right {
	position: relative;
}
.vidu_filter_setCustomperiod input:focus {
	border: 0px solid #FDB615 !important;
}
[disabled="disabled"] {
	background-color: #ccbecc;
	border: 1px solid #ccbecc;
	cursor: not-allowed !important;
}
[disabled="disabled"] span{
    cursor: not-allowed !important;
}
[disabled="disabled"]:hover {
	background-color: #ccbecc;
	border: 1px solid #ccbecc;
}
.daterangeheader {
	color: #fff;
	width: 100%;
	position: absolute;
	top: 0;
	background: -moz-linear-gradient(45deg, rgba(57, 58, 84, 1) 0%, rgba(57, 58, 84, 1) 100%);
	background: -webkit-gradient(linear, left bottom, right top, color-stop(0%, rgba(57, 58, 84, 1)), color-stop(100%, rgba(57, 58, 84, 1)));
	background: -webkit-linear-gradient(45deg, rgba(57, 58, 84, 1) 0%, rgba(57, 58, 84, 1) 100%);
	background: -o-linear-gradient(45deg, rgba(57, 58, 84, 1) 0%, rgba(57, 58, 84, 1) 100%);
	background: -ms-linear-gradient(45deg, rgba(57, 58, 84, 1) 0%, rgba(57, 58, 84, 1) 100%);
	background: linear-gradient(45deg, rgba(57, 58, 84, 1) 0%, rgba(57, 58, 84, 1) 100%);
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#393A54', endColorstr='#393A54', GradientType=1);
	padding: 10px 15px 10px 16px;
	height: 35px;
	border: 0;
	left: 0;
	z-index:9999;
}
.daterangeheader h4 {
	font-size: 14px;
	text-align: left;
}
.daterangeheader .range_inputs {
	justify-content: space-between;
}
.daterangeheader .cancelBtn:after {
	width: 14px;
	height: 14px;
	position: absolute;
	content: "";
	text-align: center;
	font-size: 22px;
	transition: 0.5s;
	background-image: url(https://cdn.toprankers.net.in/svg/vidu_dashboard_icons/close.svg);
	background-repeat: no-repeat;
	right: 1px;
	top: 1px;
	background-size: contain;
}
.daterangeheader span {
	border: 0;
	background-color: transparent;
	width: 20px;
	height: 20px;
	position: relative;
	right: 0;
	float: right;
	cursor: pointer;
}
.daterangeheader span:hover {
	border: 0;
	background-color: transparent;
}
.daterangeheader:after {
	bottom: -41px;
	content: "TO DATE";
	position: absolute;
	right: -53px;
	width: 190px;
	height: 20px;
	color: #393a54;
	font-weight: bold;
	font-size: 11px;
	text-align: left;
}
.daterangeheader:before {
	bottom: -41px;
	content: "FROM DATE";
	position: absolute;
	left: 223px;
	width: 100px;
	height: 20px;
	color: #393a54;
	font-weight: bold;
	font-size: 11px;
	text-align: left;
}
.daterangepickertab {
    background-color: #E9E9F2;
    position: relative;
    top: 33px;
    left: -2px;
    width: 146px;
    height: 279px;
}
.daterangepickertab ul {
    padding: 0;
    margin: 0;
    width: 100% !important;
}
.daterangepickertab li {
    margin: 0;
    width: 100%;
    font-size: 12px;
    color: #393A54;
    background-color: #E9E9F2;
    border-radius: 1px;
    border: 0;
    border-bottom: 1px solid #C7C7C7;
    padding: 13px 16px;
    text-align: left;
}
.daterangepickertab li:hover {
    color: #ffffff;
    background-color: #FDB615;
    border: 0;
    border-bottom: 1px solid #FDB615;
} 
.calendar.left.w {
    margin-left: 147px;
}
.daterangepickerparent {
    top: 0;
    position: absolute;
    width: 100%;
}
.calendar.right {
    margin-left: -10px !important;
}
.daterangeheader .range_inputs {
    margin: 0;
}
.daterangepickerparent .period-active {
    cursor: default;
    background-color: #f4b517;
    color: #fff;
    position: relative;
    transition: 0.5s;
}
.daterangepickerparent .period-active:after {
    content:"";
    position:absolute;
    width:0;
    height:0;
    border-top: 13px solid transparent;
    border-left: 13px solid transparent;
    border-bottom:10px solid #f4b517;
    transform: rotate(-50deg);
    right: 0;
    top: 8px;
}
.daterangepickerparent li {
    position: relative;
    cursor: pointer;
    transition: 0.5s;
}
.daterangepickerparent li:hover:after {
    content:"";
    position:absolute;
    width:0;
    height:0;
    border-top: 13px solid transparent;
    border-left: 13px solid transparent;
    border-bottom:10px solid #f4b517;
    transform: rotate(-50deg);
    right: 0;
    top: 8px;
}
.dt-data-dis  thead {
    opacity: 0.7;
    pointer-events: none;
}
.dt-data-dis  .in-range.available {
    opacity: 1;
}
.dt-data-dis  tr td {
    opacity: 0.7;
    pointer-events: none;
}
.dt-data-dis td.today {
    opacity: 1 !Important;  
 }


/*---================== //date range picker css =======================--*/